# dcl_stats_n_plots
> An interactive widget to compute statistics and plot your data


This repository is part of the **DCLwidgets** series. 
These repositories are dedicated to foster the joint development of tools and resources by the [Defense Circuits Lab](https://www.defense-circuits-lab.com/). 
The intended use of each tool may vary greatly from very lab- and/or analysis-specific problems, to tools and resources that may be of use also for other researchers.
The common goal for each repository, however, is to provide the tool as an interactive, userfriendly, and intuitive GUI so that the user needs little to no coding expertise.

List of all repositories of the DCLwidgets series:
- [dcl_stats_n_plots](https://github.com/DSegebarth/dcl_stats_n_plots/): A widget to compute statistics and plot the data with several options to customize the plot
- [DCL_to_NWB](https://github.com/DSegebarth/DCL_to_NWB/): A widget to convert datasets acquired in the DCL into the NWB file format
- [BSc_MS](https://github.com/DSegebarth/BSc_MS/): A widget to annotate the corners of a maze within video files and save the corresponding x- and y-coordinates

---

## About this widget

The purpose of this widget is to make everyday life in the lab a little easier, as it helps you to compute statistical tests and to create
highly customizable plots that visualize your data. The widget also enables you to select exactly which statistical results you would like to annotate 
within the plots, so that you are directly ready to go for your next presentation!

Please get in touch if you have any feedback, questions, or feature requests for us!

---

## Install

`pip install dcl-stats-n-plots`

## How to use

Examples and tutorials will be provided soon.

---

## Next steps

This repository is currently rebuild from an [earlier version](https://github.com/DSegebarth/DCL_stats_and_plots/) to enable the use of [nbdev](https://nbdev.fast.ai/).
Alongside this rebuild, the code will be re-organized to foster the use of `dcl-stats-n-plots` also outside of the designated GUI.

The next steps include:

* finish rebuild to cover all functionalities of the [earlier version](https://github.com/DSegebarth/DCL_stats_and_plots/) 
* implement tests & plots for repeated measurements
* create tutorials & extend documentation
